Subject: Re: bug#45576: 28.0.50 [native-comp] some functions in eshell stop functioning after commit 0593f478762437e2a8618f3f874a26424e4590b4

From: Andrea Corallo <[email-masked]>
Date: Fri, 01 Jan 2021 19:14:56 +0000

"[email-masked]" <[email-masked]> writes:

> Hi, 

Hi Kiong-Ge,

> I just found that on or after commit #0593f478762437e2a8618f3f874a26424e4590b4, the eshell's "eshell-prefer-lisp-functions" variable is always ignored.
> For example, "exit" command does not work, I have to type "(eshell/exit)" to close a eshell window.
>
> Not sure if this is related to the type inference works in recent commits mentionde in gccemacs update #13.

this is very possible.  I can reproduce it, I'll have a look.

Thanks

  Andrea